Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class AttributeEditorFactory

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.AttributeEditorFactory

public class AttributeEditorFactory
extends java.lang.Object

The AttributeEditor factory.

Constructor Summary
`AttributeEditorFactory()`

Method Summary
`static AttributeEditor` | `getEditor(RemoteResourceWrapper rrw, Attribute attribute)` Get an editor for the Attribute element of the Resource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeEditorFactory

    public AttributeEditorFactory()

Method Detail

### getEditor

    public static AttributeEditor getEditor(RemoteResourceWrapper rrw,
                                            Attribute attribute)

  Get an editor for the Attribute element of the Resource. If the editor for the specified attribute in the specified resource is not found, we try to find an editor for the same attribute in the superclasses of the resource. If it is still not found, we try to find an editor for the superclass of the attribute in the specified resource, if still not found, we iterate the process.
  Parameters:
    `resource` - the RemoteResource which contains informations about the server resource.
    `attribute` - the attribute to be edited
  Returns:
    an AttributeEditor, or null if none found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD